[POST] .../v1/language/get
Returns information about existing languages in the system. Use this method to populate language selectors or decide which language_code can be passed to Translation/Get and Translation/GetTranslationPacket. The method allows anonymous access, reads languages.json from the configured update CDN when Redis cache is empty, caches the language list and returns active language metadata. CDN, Redis, deserialization and storage errors are returned as HTTP 200 ErrorResult business errors when the persistent layer reports them.
Request Parameters
No request body.
Request Example
{}
Response Parameters
| Name | Type | Description |
|---|---|---|
| ok | Boolean | Indicates whether the request completed successfully. |
| result | Array of Language | Result array. |
Response Example
{
"ok": true,
"result": [
{
"id": 1,
"code": "ENG",
"code2": "en",
"name": "English",
"short_name": "EN",
"version": "1712345600",
"last_update": 1712345600
},
{
"id": 2,
"code": "RUS",
"code2": "ru",
"name": "Russian",
"short_name": "RU",
"version": "1712345600",
"last_update": 1712345600
}
]
}